org.apache.storm.kafka.spout

## Class KafkaSpoutTopologyMainWildcardTopics

- java.lang.Object
- - org.apache.storm.kafka.spout.KafkaSpoutTopologyMainNamedTopics
  - - org.apache.storm.kafka.spout.KafkaSpoutTopologyMainWildcardTopics

-     public class KafkaSpoutTopologyMainWildcardTopics
      extends KafkaSpoutTopologyMainNamedTopics

  This example is similar to `KafkaSpoutTopologyMainNamedTopics`, but demonstrates subscribing to Kafka topics with a regex.

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.kafka.spout.KafkaSpoutTopologyMainNamedTopics

      `TOPIC_0, TOPIC_1, TOPIC_2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaSpoutTopologyMainWildcardTopics()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected KafkaSpoutConfig<String,String>` | `getKafkaSpoutConfig(String bootstrapServers)`
    `protected StormTopology` | `getTopologyKafkaSpout(KafkaSpoutConfig<String,String> spoutConfig)`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class org.apache.storm.kafka.spout.KafkaSpoutTopologyMainNamedTopics

      `getConfig, getRetryService, runMain`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaSpoutTopologyMainWildcardTopics

          public KafkaSpoutTopologyMainWildcardTopics()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### getTopologyKafkaSpout

          protected StormTopology getTopologyKafkaSpout(KafkaSpoutConfig<String,String> spoutConfig)

      Overrides:
        `getTopologyKafkaSpout` in class `KafkaSpoutTopologyMainNamedTopics`

    - #### getKafkaSpoutConfig

          protected KafkaSpoutConfig<String,String> getKafkaSpoutConfig(String bootstrapServers)

      Overrides:
        `getKafkaSpoutConfig` in class `KafkaSpoutTopologyMainNamedTopics`

Copyright © 2019 The Apache Software Foundation. All rights reserved.